=== debian/changelog ===
sep (1.2.1-7) unstable; urgency=medium

  * Add 'd/clean' and add missing elements. (Closes: #1049013)
  * 'd/control':
    - Add myself to 'Uploaders'.
    - Update 'Standards-Version' to 4.7.0, no changes required.
  * 'd/rules': Add hardening 'all'.
  * 'd/watch': Drop problematic 'debian uupdate'.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 10 Oct 2024 08:21:22 +0100

sep (1.2.1-6) unstable; urgency=medium

  * Use CURDIR instead of PWD to get current dir

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Aug 2022 20:51:16 +0200

sep (1.2.1-5) unstable; urgency=medium

  * Replace BUILD_ROOT usage by creating the complete path in d/rules

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Aug 2022 08:19:32 +0200

sep (1.2.1-4) unstable; urgency=medium

  * Use shell command to extract build root

 -- Ole Streicher <olebole@debian.org>  Thu, 11 Aug 2022 21:10:36 +0200

sep (1.2.1-3) unstable; urgency=medium

  * Make estimation of pwd in d/rules more robust

 -- Ole Streicher <olebole@debian.org>  Thu, 11 Aug 2022 20:16:01 +0200

sep (1.2.1-2) unstable; urgency=medium

  * Add ASCL-Id to metadata

 -- Ole Streicher <olebole@debian.org>  Thu, 11 Aug 2022 15:07:38 +0200

sep (1.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #941158)

 -- Ole Streicher <olebole@debian.org>  Sat, 06 Aug 2022 11:34:03 +0200
