## sep 1.4.0

=== debian/changelog ===
sep (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Drop Numpy-2.2-compatibility.patch, applied upstream
  * Update d/clean
  * New build dependency python3-setuptools-scm
  * Ensure dh_numpy3 is run

 -- Ole Streicher <olebole@debian.org>  Fri, 07 Feb 2025 09:35:41 +0100

sep (1.2.1-8) unstable; urgency=medium

  * Numpy 2.2 compatibility (Closes: #1094758)

 -- Ole Streicher <olebole@debian.org>  Fri, 31 Jan 2025 14:20:56 +0100
