=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
 Build-Depends: cmake,
                cython3,
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
                python3-astropy <!nocheck>,
                python3-numpy,
                python3-pytest <!nocheck>,
-               python3-setuptools
+               python3-setuptools,
+               python3-setuptools-scm
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/sep
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sep.git
