=== debian/changelog ===
sep (1.4.1-2) unstable; urgency=medium

  * d/watch: update to format version 5.0. Switch to new upstream
  * Push cmake_minimum_required version to 3.10 (Closes: #1113497)
  * Push Standards-Version to 4.7.2, no changes needed
  * Remove Phil Wyett from uploaders list
  * Add missing build depency python3-numpy-dev

 -- Ole Streicher <olebole@debian.org>  Sat, 11 Oct 2025 23:12:29 +0200

sep (1.4.1-1) unstable; urgency=medium

  * Update project homepage
  * New upstream version 1.4.1
  * Skip tests that segfaults on armhf

 -- Ole Streicher <olebole@debian.org>  Sun, 09 Mar 2025 10:36:07 +0100
