=== debian/tests/control ===
Test-Command: python3 -m pytest test.py
Depends: python3-sep, python3-pytest, python3-astropy
