=== debian/watch ===
Version: 5
Template: Github
Owner: sep-developers
Project: sep
